mat2 (0.13.4-2.1) unstable; urgency=medium

  [ jvoisin ]
  * Fix the CI on Debian

 -- Paul Gevers <elbrus@debian.org>  Mon, 01 Jan 2024 10:12:38 +0100

mat2 (0.13.4-2) unstable; urgency=medium

  * debian/patches:
    - Add patch to drop data_files in setup.py. This was recently introduced
      upstream to add the manpage to the PyPi package. However, it leads to a
      lintian error. Besides, it's not required in our environment.

 -- Georg Faerber <georg@debian.org>  Thu, 03 Aug 2023 15:18:19 +0000

mat2 (0.13.4-1) unstable; urgency=medium

  * New upstream version 0.13.4:
    - Adjust expected metadata to fix autopkgtest with ffmpeg >= 6.0.
      (Closes: #1042432).
  * debian/control:
    - Drop obsolete transitional package mat. (Closes: #1032719)
  * debian/mat2.install:
    - Drop obsolete listing of /usr/bin/mat2, as otherwise the build errors
      out and leads to FTBFS.
  * debian/patches:
    - Drop obsolete patch to include version in pyproject file; applied
      upstream.

 -- Georg Faerber <georg@debian.org>  Thu, 03 Aug 2023 13:49:47 +0000

mat2 (0.13.3-1) unstable; urgency=medium

  * New upstream version 0.13.3.
  * debian/patches:
    - Add patch to add version information to pyproject file.

 -- Georg Faerber <georg@debian.org>  Sun, 26 Feb 2023 11:46:33 +0000

mat2 (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2.

 -- Georg Faerber <georg@debian.org>  Sun, 29 Jan 2023 14:02:11 +0000

mat2 (0.13.1-2) unstable; urgency=medium

  * debian/control:
    - Fix the description: don't mention the Nautilus extension anymore, but
      instead tell about metadata-cleaner.

 -- Georg Faerber <georg@debian.org>  Sun, 08 Jan 2023 17:13:04 +0000

mat2 (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1:
    - Improve support of xlsx files.
    - Remove the Nautilus extension.
  * debian/control:
    - Bump Standards-Version to 4.6.2, no changes required.
    - Don't recommend python3-nautilus anymore.
    - Instead, recommend metadata-cleaner, which should improve UX.
  * debian/mat2.install:
    - Drop the obsolete Nautilus extension.
  * debian/patches:
    - Drop obsolete patch to fix autopkgtest errors.

 -- Georg Faerber <georg@debian.org>  Sun, 08 Jan 2023 13:14:40 +0000

mat2 (0.13.0-2) unstable; urgency=medium

  * Team upload.

  [ Georg Faerber ]
  * debian/control: Bump Standards-Version to 4.6.1, no changes required

  [ Clément Hermann ]
  * Add upstream patch to fix failing autopkgtests (Closes: #1021732)

 -- Clément Hermann <nodens@debian.org>  Tue, 25 Oct 2022 10:57:30 +0200

mat2 (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0:
    - Fix possibility of arbitrary file reads via zip archives.
    - Add support of High Efficiency Image Format (HEIC) files.
  * debian/control:
    - Mention support of HEIC files in description.

 -- Georg Faerber <georg@debian.org>  Thu, 07 Jul 2022 11:02:35 +0000

mat2 (0.12.4-1) unstable; urgency=medium

  * New upstream version 0.12.4:
    - Fix possible errors/crashes when processing multiple files via the
      command line interface.
    - Use a fixed PDF version for the output.
    - Improve compatibility with modern versions of rsvg.
    - Improve the robustness of the command line interface with regard to
      control characters.

 -- Georg Faerber <georg@debian.org>  Sat, 07 May 2022 12:13:10 +0000

mat2 (0.12.3-1) unstable; urgency=medium

  * New upstream version 0.12.3:
    - Implement code for internationalization.
    - Keep individual files compression type in zip files.
    - Increase the robustness of mat2 against weird and corrupted files.
    - Fix the Dolphin integration.

 -- Georg Faerber <georg@debian.org>  Tue, 15 Mar 2022 14:44:16 +0000

mat2 (0.12.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix AssertionError in test_libmat2.
    (Closes: #1002418)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 18 Jan 2022 18:17:24 +0530

mat2 (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2:
    - Add support of aiff files.
    - Improve support of MS Office (xlsx) files.
    - Fix printing issues of cleaned pdf files.
    - Tests:
      - Fix expected output of ffmpeg >= 4.4. (Closes: #992912)
      - Handle output of libimage-exiftool-perl >= 12.23. (Closes: #993209)
  * debian/control:
    - Bump Standards-Version to 4.6.0; no changes necessary.
    - Mention added support of aiff files in description.
  * debian/patches:
    - Drop now obsolete patches to improve support of xlsx files and to fix
      printing issues of cleaned pdf files.

 -- Georg Faerber <georg@debian.org>  Sun, 29 Aug 2021 12:35:37 +0000

mat2 (0.12.1-3) unstable; urgency=medium

  * debian/patches:
    - Pull in upstream patch to improve support of OpenXML (xlsx) files.
      This patch extends the one introduced in the previous upload, 0.12.1-2.
      This approach is chosen to limit the diff, as both patches target the
      same area of the source code.
    - Pull in upstream patch to fix issues if printing cleaned Portable
      Document Format (pdf) files.

 -- Georg Faerber <georg@debian.org>  Thu, 29 Jul 2021 16:21:06 +0000

mat2 (0.12.1-2) unstable; urgency=medium

  * debian/patches:
    - Pull in upstream patch to improve support of Open XML (xlsx) files.

 -- Georg Faerber <georg@debian.org>  Mon, 24 May 2021 15:01:29 +0000

mat2 (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1:
    - Ships improved support of EPUB and Microsoft Office files.

 -- Georg Faerber <georg@debian.org>  Sat, 20 Mar 2021 19:11:38 +0000

mat2 (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.12.0:
    - Ships fix to adjust expected results of two tests if Python 3.9 is in
      use. (Closes: #975533)
  * d/control:
    - Bump debhelper compat level to 13.
    - Bump Standards-Version to 4.5.1.
    - Build-Depends: Drop now obsolete dh-exec.
  * d/mat2.installed:
    - Drop unnecessary, and orphaned, dh-exec.
  * d/not-installed:
    - Add to make dh_missing not error out.
  * d/watch:
    - Adapt due to GitLab changes, which is in use upstream.

 -- Georg Faerber <georg@debian.org>  Sat, 26 Dec 2020 19:52:55 +0000

mat2 (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0.

 -- Georg Faerber <georg@debian.org>  Sun, 29 Mar 2020 11:38:44 +0000

mat2 (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1:
    - Ships fix to adjust expected output of one test if
      libimage-exiftool-perl >= 11.84-1 is in use. (Closes: #949252)
  * d/control:
    - Extend the description to mention new support for .wav files.
    - Bump Standards-Version to 4.5.0, no changes required.
  * d/mat2.docs:
    - Ship docs about how mat2 compares to alternatives.

 -- Georg Faerber <georg@debian.org>  Mon, 10 Feb 2020 11:13:39 +0000

mat2 (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Build-depend on python3-all, instead of python3, to provide Python 3.8.
    - Depend on gir1.2-rsvg-2.0 to handle .svg files.
    - Extend description: Mention new support for .ppm and .svg files, and add
      a note about the new Dolphin, the KDE file manager, service menu.
    - Improve description: Use consistent naming scheme (mat2 vs MAT2).
  * d/mat2.install:
    - Ship logo files and the KDE Dolphin service menu.

 -- Georg Faerber <georg@debian.org>  Sun, 01 Dec 2019 12:59:52 +0000

mat2 (0.9.0-2) unstable; urgency=medium

  * d/control:
    - Recommend python3-nautilus, instead of python-nautilus.
      (Closes: #942770)
    - Improve description: Add a note about the commandline and GUI
      interfaces, and make the note about possible use cases more generic.
    - Bump Standards-Version to 4.4.1, no changes required.
  * d/patches:
    - Drop obsolete patch which was needed to make the Nautilus work with
      Python 2.7.

 -- Georg Faerber <georg@debian.org>  Mon, 28 Oct 2019 20:17:22 +0000

mat2 (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bump debhelper compat level to 12 and Standards-Version to 4.4.0, no
      changes required.
    - Drop ancient X-Python3-Version field.
    - Extend description to mention new support for .xhtml and .tar.xz files.
    - Use my debian.org mail address.
  * d/gitlab-ci.yml:
    - Pull in changes made upstream by the Salsa CI team to make the CI work
      again.

 -- Georg Faerber <georg@debian.org>  Wed, 10 Jul 2019 17:51:24 +0000

mat2 (0.8.0-3) unstable; urgency=medium

  * Upload to unstable. This adds a new binary package 'mat' which handles
    the transition from mat to mat2. (Closes: #910493)

 -- Jonas Meurer <jonas@freesources.org>  Fri, 01 Mar 2019 18:57:47 +0100

mat2 (0.8.0-2) experimental; urgency=medium

  * d/control:
    - Handle transition from mat to mat2: declare that mat2 breaks and
      replaces mat << 0.8.0-2~, and ship a transitional package mat which
      pulls in mat2. This upload targets experimental, to not interrupt the
      ongoing migration process of 0.8.0-1.
      For more details and discussion, see #910493.

 -- Georg Faerber <georg@riseup.net>  Fri, 01 Mar 2019 15:33:38 +0000

mat2 (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Recommend python-nautilus to make use of the Nautilus extension.
    - Sort supported file formats in the description alphabetically.
    - Mention new support for .epub files in the description.
  * d/mat2.install:
    - Install the Nautilus extension. (Closes: #910491)
  * d/patches:
    - Add patch to make the Nautilus extension work with Python 2.7, as
      python-nautilus still builds against it in Debian buster. This is an
      important step to handle the transition from mat to mat2.
      Thanks a lot for input, comments and review to intrigeri, Daniel Kahn
      Gillmor, Julien Voisin and Jonas Meurer!

 -- Georg Faerber <georg@riseup.net>  Thu, 28 Feb 2019 11:22:10 +0000

mat2 (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Drop obsolete build dependency on debhelper, satisfied by
      debhelper-compat since 0.6.0-1.
    - Recommend bubblewrap to sandbox external processes, according to
      upstream implementation.
    - Extend description to mention new support for .wmv, .gif and .html
      files.
    - Bump Standards-Version to 4.3.0, no changes required.
  * d/copyright:
    - Bump years to include 2019.
  * d/gitlab-ci.yml:
    - Don't run CI on tags and only if files inside debian/ were modified.
  * d/tests/control:
    - Add TODO to test bubblewrap integration once the Debian CI
      infrastructure provides systems with the 'isolation-machine'
      restriction.
  * d/watch:
    - Explicitly pull .tar.gz, as this is the only upstream tarball which is
      signed, in contrast to tarballs automatically created by GitLab.

 -- Georg Faerber <georg@riseup.net>  Sun, 17 Feb 2019 20:40:41 +0000

mat2 (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Add debhelper-compat as build dependency.
    - Declare that the build doesn't need root privileges.
    - Mention '.mp4' support in description.
  * d/compat:
    - Drop obsolete compat control file.
  * d/gitlab-ci.yml:
    - Drop custom config, rely on the "Salsa CI Team".
  * d/u/signing-key.asc:
    - Use clean and minimal key to remove cruft. Thanks, lintian.
  * d/watch:
    - Use '@ARCHIVE_EXT@' substitution.
    - Relax archive name regex, due to inconsistent upstream naming scheme.

 -- Georg Faerber <georg@riseup.net>  Sat, 10 Nov 2018 13:33:52 +0000

mat2 (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Add 'ffmpeg' as a build dependency and as a suggested package to clean
      '.avi' files.
    - Add '.avi' to list of supported file formats.
  * d/mat2.docs:
    - Install documentation about implementation and threat model.
  * d/patches:
    - Drop patches, released upstream.
  * d/t/control:
    - Install 'ffmpeg' to check cleaning of '.avi' files.
  * d/gitlab-ci.yml:
    - Checkout the git 'pristine-tar' branch before the build.

  [ Jonas Meurer ]
  * d/gbp.conf:
    - Enable 'pristine-tar = True'.

 -- Georg Faerber <georg@riseup.net>  Tue, 23 Oct 2018 18:27:37 +0000

mat2 (0.4.0-2) unstable; urgency=medium

  [ Jonas Meurer ]
  * d/copyright:
    * Explicitly list copyright holders for the mat2 logo. (Closes: #910376)

 -- Georg Faerber <georg@riseup.net>  Sun, 07 Oct 2018 18:36:57 +0000

mat2 (0.4.0-1) unstable; urgency=medium

  [ Georg Faerber + Jonas Meurer ]
  * Initial release. (Closes: #898622)

 -- Georg Faerber <georg@riseup.net>  Thu, 04 Oct 2018 23:39:09 +0200
